Bug 826443 - [abrt] preupgrade-1.1.10-1.fc16: dev.py:88:bootpath_to_anacondapath:PUError: Could not find mount point for boot device None
[abrt] preupgrade-1.1.10-1.fc16: dev.py:88:bootpath_to_anacondapath:PUError: ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:56ea46120b1d1f77e844a8e532d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 04:13 EDT by Giuseppe Fierro
Modified: 2013-02-13 09:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:44:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Giuseppe Fierro 2012-05-30 04:13:35 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/share/preupgrade/preupgrade-gtk.py
comment:        I was trying to upgrade my Fedora 16 to the new Fedora 17
executable:     /usr/share/preupgrade/preupgrade-gtk.py
kernel:         3.3.7-1.fc16.x86_64
reason:         dev.py:88:bootpath_to_anacondapath:PUError: Could not find mount point for boot device None
time:           mar 29 mag 2012 23:45:40 CEST
uid:            0
username:       root

backtrace:
:dev.py:88:bootpath_to_anacondapath:PUError: Could not find mount point for boot device None
:
:Traceback (most recent call last):
:  File "/usr/share/preupgrade/preupgrade-gtk.py", line 259, in on_assistant_apply
:    self._do_main()
:  File "/usr/share/preupgrade/preupgrade-gtk.py", line 278, in _do_main
:    self.main_preupgrade()
:  File "/usr/share/preupgrade/preupgrade-gtk.py", line 497, in main_preupgrade
:    extra_args += " ks=%s" % self.pu.generate_kickstart()
:  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 607, in generate_kickstart
:    return dev.bootpath_to_anacondapath(targetfile, UUID=True)
:  File "/usr/lib/python2.7/site-packages/preupgrade/dev.py", line 88, in bootpath_to_anacondapath
:    raise PUError, "Could not find mount point for boot device %s" % bootdev
:PUError: Could not find mount point for boot device None
:
:Local variables in innermost frame:
:bootdev: None
:UUID: True
:rest: 'fuse.javafs rw,nosuid,nodev,relatime,user_id=1000,group_id=1000 0 0\n'
:mtab: <open file '/etc/mtab', mode 'r' at 0x2b40540>
:st_dev: 20L
:dev: 'javafs'
:mountpoint: ''
:line: 'javafs /home/gspe/WualaDrive fuse.javafs rw,nosuid,nodev,relatime,user_id=1000,group_id=1000 0 0\n'
:somepath: '/boot/upgrade/ks.cfg'
:mp: '/home/gspe/WualaDrive'

smolt_data:
:
:
:General
:=================================
:UUID: d4be7403-e828-4bde-8ef5-92f52ae3f4c1
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 3733.38
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 CPU          6320  @ 1.86GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1867
:System Memory: 7986
:System Swap: 16383
:Vendor: Gigabyte Technology Co., Ltd.
:System: P35-DS4 
:Form factor: Desktop
:Kernel: 3.3.4-5.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10688:5208:20480) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10689:5208:20480) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(32902:10544:5208:20481) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10530:5208:45061) pci, ahci, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller
:(32902:10518:5208:20481) pci, None, PCI/ISA, 82801IR (ICH9R) LPC Interface Controller
:(32902:9294:5208:20480) pci, None, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:10549:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:5208:20486) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:5208:20486) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(6523:9059:5208:45056) pci, pata_jmicron, STORAGE, GA-EP45-DS5 Motherboard
:(6523:9059:5208:45056) pci, ahci, STORAGE, GA-EP45-DS5 Motherboard
:(32902:10560:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10568:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:5208:40994) pci, None, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43664:5963:43664) pci, None, MULTIMEDIA, N/A
:(4098:26457:5963:57747) pci, None, VIDEO, NI Turks [AMD Radeon HD 6500]
:(32902:10570:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdc3 / btrfs 4096 4096 117901569 60438273 56135850 0 0 0
:/dev/sdc3 /home btrfs 4096 4096 117901569 60438273 56135850 0 0 0
:
Comment 1 Serge Pavlovsky 2012-06-02 10:51:45 EDT
[17:42:50 root@underdark /home/pal]# LANG=C preupgrade
Loaded plugins: blacklist, fs-snapshot, langpacks, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-17&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-17&arch=x86_64
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/17/Fedora/$basearch/os/
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/17/Fedora/x86_64/os/
unknown metadata being downloaded: repomd98eV71tmp.xml
preupgrade-fedora (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=fedora-17&arch=x86_64
  now: https://mirrors.fedoraproject.org/metalink?repo=fedora-17&arch=x86_64
unknown metadata being downloaded: metalink.xml.tmp
preupgrade-rpmfusion-free (baseurl) 
  url: http://download1.rpmfusion.org/free/fedora/releases/17/Everything/x86_64/os/
  now: http://download1.rpmfusion.org/free/fedora/releases/17/Everything/x86_64/os/
unknown metadata being downloaded: repomdbNs0tMtmp.xml
preupgrade-rpmfusion-free-updates (baseurl) 
  url: http://download1.rpmfusion.org/free/fedora/updates/17/x86_64/
  now: http://download1.rpmfusion.org/free/fedora/updates/17/x86_64/
unknown metadata being downloaded: repomdvCyrmmtmp.xml
preupgrade-rpmfusion-nonfree (baseurl) 
  url: http://download1.rpmfusion.org/nonfree/fedora/releases/17/Everything/x86_64/os/
  now: http://download1.rpmfusion.org/nonfree/fedora/releases/17/Everything/x86_64/os/
unknown metadata being downloaded: repomdG9jVQOtmp.xml
preupgrade-rpmfusion-nonfree-updates (baseurl) 
  url: http://download1.rpmfusion.org/nonfree/fedora/updates/17/x86_64/
  now: http://download1.rpmfusion.org/nonfree/fedora/updates/17/x86_64/
unknown metadata being downloaded: repomdqvBKDCtmp.xml
preupgrade-updates (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f17&arch=x86_64
  now: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f17&arch=x86_64
unknown metadata being downloaded: metalink.xml.tmp
unknown metadata being downloaded: repomd3oag8Ytmp.xml
unknown metadata being downloaded: MEMORY
Fetched treeinfo from http://ftp.colocall.net/pub/fedora/linux/releases/17/Fedora/x86_64/os//.treeinfo
treeinfo timestamp: Tue May 22 23:55:30 2012
/boot/upgrade/vmlinuz checksum OK
/boot/upgrade/initrd.img checksum OK
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 259, in on_assistant_apply
    self._do_main()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 278, in _do_main
    self.main_preupgrade()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 497, in main_preupgrade
    extra_args += " ks=%s" % self.pu.generate_kickstart()
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 607, in generate_kickstart
    return dev.bootpath_to_anacondapath(targetfile, UUID=True)
  File "/usr/lib/python2.7/site-packages/preupgrade/dev.py", line 88, in bootpath_to_anacondapath
    raise PUError, "Could not find mount point for boot device %s" % bootdev
preupgrade.error.PUError: Could not find mount point for boot device None
Comment 2 Fedora End Of Life 2013-01-16 08:49:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 09:44:50 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.